# © 2022 Le Filament (<http://www.le-filament.com>)
# License AGPL-3.0 or later (http://www.gnu.org/licenses/agpl.html).
{
    "name": "CG SCOP - Cotisations CG",
    "summary": "CG SCOP - Cotisations CG Scop",
    "version": "14.0.1.0.0",
    "author": "Le Filament",
    "license": "AGPL-3",
    "application": False,
    "installable": True,
    "depends": [
        "account",
        "l10n_fr",
        "lefilament_export_journal_tool",
        "cgscop_cotisation",
        "queue_job_batch",
        "web_progress",
    ],
    "data": [
        # Security
        "security/security_rules.xml",
        "security/ir.model.access.csv",
        # Datas
        "datas/bordereau_refund_wizard_quarter_data.xml",
        "datas/mail_data.xml",
        "datas/queue_job_data.xml",
        "datas/ir_sequence_data.xml",
        # Templates
        "templates/report_scop_bordereau.xml",
        "templates/report_scop_bordereau_payments.xml",
        "templates/report_union_sociale.xml",
        # Views
        "views/account_banking_mandate.xml",
        "views/account_move.xml",
        "views/res_config_settings.xml",
        "views/scop_cotisation_cg.xml",
        "views/scop_cotisation_simulation.xml",
        "views/scop_liasse_fiscale.xml",
        # Reports
        "report/scop_contribution_report.xml",
        # Wizards
        "wizard/export_journal_wizard_view.xml",
        "wizard/mandate_change_bordereau_wizard.xml",
        "wizard/scop_cotisation_cg_regul_wizard.xml",
        "wizard/scop_bordereau_update_liasse_wizard.xml",
        "wizard/scop_bordereau_payment_mode_wizard.xml",
        "wizard/scop_bordereau_refund_wizard.xml",
        "wizard/scop_cotisation_cg_wizard.xml",
        "wizard/scop_bordereau_update_confirm_view.xml",
        "wizard/scop_bordereau_validate_confirm_view.xml",
        # Wizard dependency view
        "views/scop_bordereau_cg.xml",
        # Menus
        "views/menus.xml",
    ],
    "external_dependencies": {
        "python": [
            "unidecode",
        ],
    },
}
